var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getSupportedBiometryType, supportsTouchId } from '../keychain';
import { readKeychainFile } from '../util/keychainFile';
/**
 * Figures out whether or not biometric logins are available,
 * and saves that to redux.
 */
export const loadTouchState = () => (dispatch) => __awaiter(void 0, void 0, void 0, function* () {
    const [file, supported, type] = yield Promise.all([
        readKeychainFile(),
        supportsTouchId().catch(() => false),
        getSupportedBiometryType()
    ]);
    const touchState = { file, supported, type };
    dispatch({ type: 'SET_TOUCH', data: touchState });
    return touchState;
});
