import * as React from 'react';
import { useClearOnUnmount } from '../../hooks/useClearOnUnmount';
import { Router } from '../navigation/Router';
import { ReduxStore } from '../services/ReduxStore';
export function OtpRepairScreen(props) {
    const { account, branding, context, otpError, onComplete, onLogEvent } = props;
    useClearOnUnmount();
    return (React.createElement(ReduxStore, { imports: {
            accountOptions: {},
            context,
            onComplete,
            onLogEvent
        }, initialAction: {
            type: 'NAVIGATE',
            data: { name: 'otpRepair', params: { account, otpError } }
        } },
        React.createElement(Router, { branding: branding })));
}
