/// <reference types="react" />
import { Branding } from '../../../types/Branding';
import { AccountParams, CreateFlowParams, SceneProps } from '../../../types/routerTypes';
export interface AccountReviewParams extends AccountParams, CreateFlowParams {
}
/**
 * The review scene for new accounts.
 */
interface NewAccountReviewProps extends SceneProps<'newAccountReview'> {
    branding: Branding;
}
export declare const NewAccountReviewScene: (props: NewAccountReviewProps) => JSX.Element;
/**
 * The review scene for upgrading (light) accounts.
 */
interface UpgradeReviewProps extends SceneProps<'upgradeAccountReview'> {
    branding: Branding;
}
export declare const UpgradeReviewScene: (props: UpgradeReviewProps) => JSX.Element;
export {};
