/// <reference types="react" />
import { Branding } from '../../../types/Branding';
import { AccountParams, CreateFlowParams, SceneProps } from '../../../types/routerTypes';
export interface AccountTosParams extends AccountParams, CreateFlowParams {
}
/**
 * Terms of Service scene for new regular or light accounts
 */
interface NewAccountTosProps extends SceneProps<'newAccountTos'> {
    branding: Branding;
}
export declare const NewAccountTosScene: (props: NewAccountTosProps) => JSX.Element;
/**
 * Terms of Service scene for upgrading existing (light) accounts
 */
interface UpgradeTosProps extends SceneProps<'upgradeTos'> {
    branding: Branding;
}
export declare const UpgradeTosScene: (props: UpgradeTosProps) => JSX.Element;
export {};
