/// <reference types="react" />
import { Branding } from '../../../types/Branding';
import { AccountParams, CreateFlowParams, SceneProps } from '../../../types/routerTypes';
export interface AccountUsernameParams extends AccountParams, CreateFlowParams {
}
interface Props {
    branding: Branding;
    initUsername?: string;
    onBack?: () => void;
    onNext: (username: string) => void | Promise<void>;
}
export declare const ChangeUsernameComponent: (props: Props) => JSX.Element;
/**
 * The username creation scene for new accounts.
 */
interface NewAccountUsernameProps extends SceneProps<'newAccountUsername'> {
    branding: Branding;
}
export declare const NewAccountUsernameScene: (props: NewAccountUsernameProps) => JSX.Element;
/**
 * The change username scene for (light) accounts.
 */
interface UpgradeUsernameProps extends SceneProps<'upgradeUsername'> {
    branding: Branding;
}
export declare const UpgradeUsernameScene: (props: UpgradeUsernameProps) => JSX.Element;
export {};
