import * as React from 'react';
interface ModalTitleProps {
    children: React.ReactNode;
    center?: boolean;
    paddingRem?: number[] | number;
    icon?: React.ReactNode;
}
interface ModalFooterProps {
    onPress: () => void;
    fadeOut?: boolean;
}
export declare function ModalTitle(props: ModalTitleProps): JSX.Element;
export declare function ModalMessage(props: {
    children: React.ReactNode;
    paddingRem?: number[] | number;
    isWarning?: boolean;
}): JSX.Element;
/**
 * Renders a close button and an optional fade-out gradient.
 *
 * If you use the fade-out gradient, your scroll element's
 * `contentContainerStyle` needs `theme.rem(ModalFooter.bottomRem)`
 * worth of bottom padding, so the close button does not cover your content.
 */
export declare function ModalFooter(props: ModalFooterProps): JSX.Element;
export declare namespace ModalFooter {
    var bottomRem: number;
}
export declare function ModalScrollArea(props: {
    children: React.ReactNode;
    onCancel: () => void;
}): JSX.Element;
export {};
