import { Action } from '../types/ReduxTypes';
import { LoginParamList } from '../types/routerTypes';
declare type NamedSceneStates = {
    [Name in keyof LoginParamList]: {
        name: Name;
        params: LoginParamList[Name];
    };
};
/**
 * A union of every possible route state,
 * with its name and matching parameters.
 */
export declare type SceneState = NamedSceneStates[keyof LoginParamList];
export declare function scene(state: SceneState | undefined, action: Action): SceneState;
export {};
