import { EdgeAccount, EdgeAccountOptions, EdgeContext, EdgeUserInfo } from 'edge-core-js';
import { InitialRouteName } from '../components/publicApi/types';
import { RootState } from '../reducers/RootReducer';
import { TrackingEventName, TrackingValues } from '../util/analytics';
import { Action } from './ReduxActions';
export type { Action, RootState };
export interface NotificationPermissionsInfo {
    isNotificationBlocked: boolean;
    notificationOptIns: NotificationOptIns;
}
export interface NotificationOptIns {
    ignoreMarketing: boolean;
    ignorePriceChanges: boolean;
}
export declare const asNotificationPermissionsInfo: import("cleaners").Cleaner<NotificationPermissionsInfo>;
export interface TouchIdInfo {
    isTouchSupported: boolean;
    isTouchEnabled: boolean;
}
export declare type OnComplete = () => void;
export declare type OnLogin = (account: EdgeAccount, touchIdInfo?: TouchIdInfo) => void;
export declare type OnNotificationPermit = (settings: NotificationPermissionsInfo) => void;
export declare type OnLogEvent = (event: TrackingEventName, values?: TrackingValues) => void;
export interface Imports {
    readonly accountOptions: EdgeAccountOptions;
    readonly context: EdgeContext;
    readonly initialUserInfo?: EdgeUserInfo;
    readonly initialRoute?: InitialRouteName;
    readonly onLogEvent?: OnLogEvent;
    readonly onComplete?: () => void;
    readonly onLogin?: OnLogin;
    readonly onNotificationPermit?: OnNotificationPermit;
    readonly recoveryKey?: string;
    readonly skipSecurityAlerts?: boolean;
    readonly customPermissionsFunction?: () => void;
}
export declare type GetState = () => RootState;
export declare type Dispatch = <Return>(action: Action | ((dispatch: Dispatch, getState: GetState, i: Imports) => Return)) => Return;
declare type UseDispatch = () => Dispatch;
declare type UseSelector = <T>(select: (state: RootState) => T) => T;
export declare const useDispatch: UseDispatch;
export declare const useSelector: UseSelector;
